Rotate Npoint To Dview Angle

Discussion in 'AutoCAD' started by Spidey, May 18, 2004.

  1. Spidey

    Spidey Guest

    Has anyone got anything that rotates a north point block to the same
    rotation as the Viewport Dview angle.

    Cheers

    Spidey
     
    Spidey, May 18, 2004
    #1
  2. Spidey

    Josh Guest

    (defun c:na2vp ( / na vp)
    (initget 1)
    (setq na (entget (car (entsel "\nSelect North Arrow: "))))
    (initget 1)
    (setq vp (entsel "\nSelect Viewport: "))
    (setq vpdata (entget (car vp)))
    (if (= (cdr (assoc 0 vpdata)) "LWPOLYLINE")(setq vpdata (entget (cdr
    (assoc 330 vpdata)))))
    (entmod (subst (cons 50 (cdr (assoc 51 vpdata))) (assoc 50 na) na))
    (princ)
    )
     
    Josh, May 18, 2004
    #2
  3. Spidey

    Spidey Guest

    Very Kind Of You Dude.

    Thanks alot. Hope to return the favour someday.

    Later

    Spidey
     
    Spidey, May 18, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.